# Registrant Directories Registrant Directories ## Creates a new registrant directory record that does not already exist. - [POST /registrantDirectories/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrant-directories/createregistrantdirectory.md): This method will auto-generate an ID and create a new registrant directory. If an ID is specified for the registrant directory, an error will be thrown. ## Execute Batch Operations - [POST /registrantDirectories/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrant-directories/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified event_id - [GET /registrantDirectories/{tenantId}/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrant-directories/listdirectoriesbyeventid.md): Returns a list of records with the specified event_id ## Gets an entry in the directory - [GET /registrantDirectories/{tenantId}/public/entry/{id}/{entryId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrant-directories/getdirectoryentry.md) ## Searches the directory - [POST /registrantDirectories/{tenantId}/public/search/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrant-directories/searchpublicdirectory.md) ## Sends a message to an entry in the directory - [POST /registrantDirectories/{tenantId}/public/sendMessage/{directoryId}/{entryId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrant-directories/senddirectorymessage.md) ## Returns a registrant directory from the system by its ID. - [GET /registrantDirectories/{tenantId}/public/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrant-directories/getpublicdirectory.md): This method will look up a registrant directory by the specified ID and return it back. ## Searches the directory - [POST /registrantDirectories/{tenantId}/search/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrant-directories/searchdirectory.md) ## Returns a registrant directory from the system by its ID. - [DELETE /registrantDirectories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrant-directories/deleteregistrantdirectory.md): This method will delete a registrant directory with the specified ID. ## Returns a registrant directory from the system by its ID. - [GET /registrantDirectories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrant-directories/getregistrantdirectory.md): This method will look up a registrant directory by the specified ID and return it back. ## Partially updates a registrant directory with the specified ID. - [PATCH /registrantDirectories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrant-directories/patchregistrantdirectory.md): This method will patch an existing registrant directory with the specified ID, using the HTTP PATCH specification. ## Updates a registrant directory with the specified ID. - [PUT /registrantDirectories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registrant-directories/updateregistrantdirectory.md): This method will update an existing registrant directory with the specified ID.